Bug 986577 - Maven repo: Repository definitions in POMs
Maven repo: Repository definitions in POMs
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: CR01
: 6.1.1,6.2.0
Assigned To: hfnukal@redhat.com
Filip Kiss
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 16:27 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2013-07-20 16:27:41 EDT
Description of problem:
When building an application using JPP's Maven repo, customers are expected to have the related JPP, EAP, WFK repos and enable Maven central. POM files in the repo should not contain references to other repositories.

Additional info:
List of POMs defining their own repos:
org/jboss/cache/jbosscache-core/3.2.7.GA/jbosscache-core-3.2.7.GA.pom
org/jboss/cache/jbosscache-common-parent/1.6/jbosscache-common-parent-1.6.pom
org/jboss/interceptor/jboss-interceptor-parent/2.0.0.Final-redhat-1/jboss-interceptor-parent-2.0.0.Final-redhat-1.pom
org/gatein/shindig/shindig-features/2.0.2.Final-gatein-4-redhat-1/shindig-features-2.0.2.Final-gatein-4-redhat-1.pom
org/gatein/shindig/shindig-project/2.0.2.Final-gatein-4-redhat-1/shindig-project-2.0.2.Final-gatein-4-redhat-1.pom
org/gatein/sso/sso-parent/1.3.3.Final-redhat-1/sso-parent-1.3.3.Final-redhat-1.pom
org/gatein/portal/portal-testsuite-selenium-ui-tests/3.6.0.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.6.0.Final-redhat-1.pom
org/gatein/portal/exo.portal.parent/3.6.0.Final-redhat-1/exo.portal.parent-3.6.0.Final-redhat-1.pom
org/gatein/wci/wci-glassfish3/2.3.1.Final-redhat-1/wci-glassfish3-2.3.1.Final-redhat-1.pom
org/exoplatform/foundation-parent/12-redhat-1/foundation-parent-12-redhat-1.pom
org/picketlink/idm/picketlink-idm-parent/1.4.2.Final-redhat-1/picketlink-idm-parent-1.4.2.Final-redhat-1.pom
jgroups/jgroups/2.6.22.Final/jgroups-2.6.22.Final.pom
Comment 2 hfnukal@redhat.com 2013-08-28 09:02:17 EDT
org/jboss/cache/jbosscache-core/3.2.7.GA/jbosscache-core-3.2.7.GA.pom
 - legacy version, wont fix
org/jboss/cache/jbosscache-common-parent/1.6/jbosscache-common-parent-1.6.pom
 - legacy version, wont fix
org/jboss/interceptor/jboss-interceptor-parent/2.0.0.Final-redhat-1/jboss-interceptor-parent-2.0.0.Final-redhat-1.pom
 - EAP component, wont fix
org/gatein/shindig/shindig-features/2.0.2.Final-gatein-4-redhat-1/shindig-features-2.0.2.Final-gatein-4-redhat-1.pom
 - fixed
org/gatein/shindig/shindig-project/2.0.2.Final-gatein-4-redhat-1/shindig-project-2.0.2.Final-gatein-4-redhat-1.pom
 - fixed
org/gatein/sso/sso-parent/1.3.3.Final-redhat-1/sso-parent-1.3.3.Final-redhat-1.pom
 - fixed
org/gatein/portal/portal-testsuite-selenium-ui-tests/3.6.0.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.6.0.Final-redhat-1.pom
 - fixed
org/gatein/portal/exo.portal.parent/3.6.0.Final-redhat-1/exo.portal.parent-3.6.0.Final-redhat-1.pom
 - fixed
org/gatein/wci/wci-glassfish3/2.3.1.Final-redhat-1/wci-glassfish3-2.3.1.Final-redhat-1.pom
 - fixed
org/exoplatform/foundation-parent/12-redhat-1/foundation-parent-12-redhat-1.pom
 - contains empty tag pluginRepositories, content is commented out.
org/picketlink/idm/picketlink-idm-parent/1.4.2.Final-redhat-1/picketlink-idm-parent-1.4.2.Final-redhat-1.pom
 - fixed
jgroups/jgroups/2.6.22.Final/jgroups-2.6.22.Final.pom
 - legacy version, wont fix
Comment 3 Miroslav Cupák 2013-09-27 11:03:22 EDT
I'm reopening this as it became an issue again in 6.1.0.CR03.

List of affected artifacts (items listed above tagged as WONTFIX excluded):
./org/gatein/shindig/shindig-features/2.0.2.Final-gatein-4-redhat-3/shindig-features-2.0.2.Final-gatein-4-redhat-3.pom
Comment 4 Miroslav Cupák 2013-10-02 16:28:05 EDT
Update for the latest spin of 6.1.0.CR03 (build #120, items listed above tagged as WONTFIX excluded):

./com/sun/mail/all/1.4.4-redhat-2/all-1.4.4-redhat-2.pom
./org/powermock/powermock-module-junit4/1.4.11-redhat-1/powermock-module-junit4-1.4.11-redhat-1.pom
./org/powermock/powermock-api-mockito/1.4.11-redhat-1/powermock-api-mockito-1.4.11-redhat-1.pom
./org/jboss/mc-int/jboss-mc-int-parent/2.2.0.Alpha2/jboss-mc-int-parent-2.2.0.Alpha2.pom
./org/jboss/security/jbosssx-parent/2.0.4/jbosssx-parent-2.0.4.pom
./org/testng/testng/6.1.1-redhat-2/testng-6.1.1-redhat-2.pom
./org/gatein/shindig/shindig-features/2.0.2.Final-gatein-4-redhat-3/shindig-features-2.0.2.Final-gatein-4-redhat-3.pom
./org/richfaces/sandbox/ui/bootstrap/bootstrap-parent/0.1.0.Final/bootstrap-parent-0.1.0.Final.pom
Comment 5 hfnukal@redhat.com 2013-10-16 05:28:05 EDT
Listed artifacts are transient dependencies required by older components.
Will not be productized for this release.
Comment 6 Miroslav Cupák 2013-11-01 08:40:11 EDT
As discussed on IRC, this shouldn't be ON_QA as the issue hasn't been fixed. Setting back to ASSIGNED and changing target release to 6.1.1.
Comment 7 Filip Kiss 2014-01-24 08:17:42 EST
Update for 6.1.1.ER01:

./org/picketlink/idm/picketlink-idm-parent/1.4.4.Final-redhat-1/picketlink-idm-parent-1.4.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.header/3.6.4.Final-redhat-1/portlet.responsive.header-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.community/3.6.4.Final-redhat-1/portlet.responsive.community-3.6.4.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation/3.6.4.Final-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.footer/3.6.4.Final-redhat-1/portlet.responsive.footer-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.6.4.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.banner/3.6.4.Final-redhat-1/portlet.responsive.banner-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.features/3.6.4.Final-redhat-1/portlet.responsive.features-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.navigation/3.6.4.Final-redhat-1/portlet.responsive.navigation-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.parent/3.6.4.Final-redhat-1/exo.portal.parent-3.6.4.Final-redhat-1.pom
Comment 8 Filip Kiss 2014-02-11 06:59:30 EST
Update for 6.1.1.CR01:

./org/picketlink/idm/picketlink-idm-parent/1.4.4.Final-redhat-1/picketlink-idm-parent-1.4.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.features/3.6.5.Final-redhat-1/portlet.responsive.features-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.6.5.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.community/3.6.5.Final-redhat-1/portlet.responsive.community-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.navigation/3.6.5.Final-redhat-1/portlet.responsive.navigation-3.6.5.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation/3.6.5.Final-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.banner/3.6.5.Final-redhat-1/portlet.responsive.banner-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.footer/3.6.5.Final-redhat-1/portlet.responsive.footer-3.6.5.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.header/3.6.5.Final-redhat-1/portlet.responsive.header-3.6.5.Final-redhat-1.pom
Comment 9 Filip Kiss 2014-04-29 10:36:11 EDT
Update for 6.2.0.ER01.1:

./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom
./org/gatein/wci/wci-glassfish3/2.4.1.Final-redhat-1/wci-glassfish3-2.4.1.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation/3.8.0.Beta01-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.banner/3.8.0.Beta01-redhat-1/portlet.responsive.banner-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.community/3.8.0.Beta01-redhat-1/portlet.responsive.community-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.footer/3.8.0.Beta01-redhat-1/portlet.responsive.footer-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.features/3.8.0.Beta01-redhat-1/portlet.responsive.features-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.0.Beta01-redhat-1/portal-testsuite-selenium-ui-tests-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.navigation/3.8.0.Beta01-redhat-1/portlet.responsive.navigation-3.8.0.Beta01-redhat-1.pom
./org/gatein/portal/portlet.responsive.header/3.8.0.Beta01-redhat-1/portlet.responsive.header-3.8.0.Beta01-redhat-1.pom
./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom
Comment 10 Filip Kiss 2014-05-23 06:47:50 EDT
Update for 6.2.0.ER02:

./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom
./org/gatein/wci/wci-glassfish3/2.4.1.Final-redhat-1/wci-glassfish3-2.4.1.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.0.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.8.0.Final-redhat-1.pom
./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom
Comment 11 Filip Kiss 2014-06-24 03:03:54 EDT
Update for 6.2.0.ER03:

./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom
./org/gatein/wci/wci-glassfish3/2.4.2.Final-redhat-1/wci-glassfish3-2.4.2.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.2.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.8.2.Final-redhat-1.pom
./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom
Comment 12 Filip Kiss 2014-07-10 08:49:52 EDT
Update for 6.2.0.ER04:

./org/gatein/wci/wci-glassfish3/2.4.2.Final-redhat-1/wci-glassfish3-2.4.2.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.4.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.8.4.Final-redhat-1.pom
./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom
./org/picketlink/idm/picketlink-idm-parent/1.4.5.Final-redhat-1/picketlink-idm-parent-1.4.5.Final-redhat-1.pom
./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom
Comment 13 hfnukal@redhat.com 2014-07-18 05:12:44 EDT
Old libs, will not change:
./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom
./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom

To fix:
./org/picketlink/idm/picketlink-idm-parent/1.4.5.Final-redhat-1/picketlink-idm-parent-1.4.5.Final-redhat-1.pom
./org/gatein/wci/wci-glassfish3/2.4.2.Final-redhat-1/wci-glassfish3-2.4.2.Final-redhat-1.pom
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.4.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.8.4.Final-redhat-1.pom
Comment 14 hfnukal@redhat.com 2014-07-21 06:34:01 EDT
Those are old 3rd party conmponents, not able to fix.
./org/jboss/ejb3/jboss-ejb3-core/1.1.5/jboss-ejb3-core-1.1.5.pom
./org/jboss/cache/jbosscache-core/3.1.0.GA/jbosscache-core-3.1.0.GA.pom
./org/codehaus/plexus/plexus-utils/3.0.9-redhat-1/plexus-utils-3.0.9-redhat-1.pom

This will fix in next release of wci:
./org/gatein/wci/wci-glassfish3/2.4.2.Final-redhat-1/wci-glassfish3-2.4.2.Final-redhat-1.pom

This will be in next relese of portal:
./org/gatein/portal/portal-testsuite-selenium-ui-tests/3.8.2.Final-redhat-1/portal-testsuite-selenium-ui-tests-3.8.2.Final-redhat-1.pom
Comment 15 Filip Kiss 2014-09-04 07:48:51 EDT
OK thanks, however, there is still one pom file to fix then:

./org/picketlink/idm/picketlink-idm-parent/1.4.5.Final-redhat-1/picketlink-idm-parent-1.4.5.Final-redhat-1.pom

Note You need to log in before you can comment on or make changes to this bug.